MODULE UFTPSrv;

IMPORT Lib3, Input, Server;
IMPORT IO;


PROCEDURE ShowErrCnts();
VAR
  c: Server.TErrCnts;
  e: Server.TErr;
BEGIN
  Server.GetErrCnts( c );
  FOR e := MIN(Server.TErr) TO MAX(Server.TErr) DO
    IO.WrLngHex( c[e] MOD 1000H, 3 );
    IO.WrChar( ' ' );
  END;
  IO.WrLn();
END ShowErrCnts;


PROCEDURE OnKey( c: CHAR );
BEGIN
  CASE CAP( c ) OF
  | 'Q' : Lib3.SetReturnCode( 1 ); HALT;
  | 'E' : ShowErrCnts();
  ELSE
  END;
END OnKey;


BEGIN
  Input.Install( OnKey );
  Server.Run();
END UFTPSrv.
